Name:           python-configparser
Version:        3.5.0b2
Release:        1%{?dist}
Summary:        This library brings the updated configparser from Python 3.5 to Python 2.6-3.5

Group:          Development/Libraries
License:        MIT
URL:            http://docs.python.org/3/library/configparser.html
Source0:        https://pypi.python.org/packages/source/c/configparser/configparser-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
This module provides the ConfigParser class which implements a basic
configuration language which provides a structure similar to what's found in
Microsoft Windows INI files. You can use this to write Python programs which
can be customized by end users easily.

%prep
%setup -qn configparser-%{version}

# Remove shebang form some libraries
sed -i '1{\@^#!/usr/bin/env python@d}' src/configparser.py src/backports/configparser/__init__.py src/backports/configparser/helpers.py

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc README.rst
%dir %{python2_sitelib}/backports/
%{python2_sitelib}/backports/configparser/
%{python2_sitelib}/configparser.py
%{python2_sitelib}/configparser.pyc
%{python2_sitelib}/configparser.pyo
%{python2_sitelib}/configparser-%{version}-py?.?.egg-info
%{python2_sitelib}/configparser-%{version}-py?.?-nspkg.pth

%changelog
* Sun Feb 01 2015 Scott K Logan <logans@cottsay.net> - 3.5.0b2-1
- Initial package
